# TdApi.RemoveSavedAnimation

Package it.ernytech.tdlib

## Class TdApi.RemoveSavedAnimation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.RemoveSavedAnimation

Enclosing class:
  TdApi

    public static class TdApi.RemoveSavedAnimation
    extends TdApi.Function

Removes an animation from the list of saved animations.

Returns `Ok`

### Field Summary

Fields
`TdApi.InputFile` `animation` Animation file to be removed.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`RemoveSavedAnimation()` Default constructor.
`RemoveSavedAnimation​(TdApi.InputFile animation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### animation

    public TdApi.InputFile animation

Animation file to be removed.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### RemoveSavedAnimation

    public RemoveSavedAnimation()

Default constructor.

#### RemoveSavedAnimation

    public RemoveSavedAnimation​(TdApi.InputFile animation)

Constructor for initialization of all fields.

Parameters:
  `animation` - Animation file to be removed.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR